package com.FranckBarbier.Java._Hashtable_illustration;

public class Hashtable_illustration {

    public static void main(String args[]) {
        String s1 = "Franck";
        String s2 = "Franck";
        assert (s1 != s2); // 's1' and 's2' are NOT the same memory object
        assert (s1.equals(s2)); // However, 's1' equals 's2'
        assert (s1.hashCode() == s2.hashCode());

        int max = 100;
        float theta = 0.5F;
        java.util.Map<String, String> given_names__dictionary = new java.util.HashMap<>(max, theta);
        given_names__dictionary.put("Franck", "German origin...");
        given_names__dictionary.put("Frank", "English origin...");
        assert (given_names__dictionary.size() == 2);

        java.util.Map<Object, String> hashtable_with_possible_null_keys = new java.util.HashMap<>();
        hashtable_with_possible_null_keys.put(null, "Allowing 'null' keys");
        System.out.println(hashtable_with_possible_null_keys.get(null));
    }
}
